package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否是站点  (1.是,0.否)枚举类
*
* @author zxfei
*/
public enum IsSiteEnum {
    是("1", "是"),
    否("0", "否");
    private String value;
    private String desc;

    IsSiteEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsSiteEnum getByValue(String value) {
        for (IsSiteEnum isSiteEnum : IsSiteEnum.values()) {
            if (isSiteEnum.getValue() == value) {
                return isSiteEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsSiteEnum item : IsSiteEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}